import { MigrationInterface, QueryRunner } from "typeorm";

export class UpdateTableOrgRevisionAddOrgPublishDate1706511716494 implements MigrationInterface {
    name = 'UpdateTableOrgRevisionAddOrgPublishDate1706511716494'

    public async up(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query(`ALTER TABLE \`orgRevision\` ADD \`orgPublishDate\` datetime NULL COMMENT 'เวลาเผยแพร่'`);
    }

    public async down(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query(`ALTER TABLE \`orgRevision\` DROP COLUMN \`orgPublishDate\``);
    }

}
